Bug 498563 - [PATCH] update Gtk icon cache, and re-enable documentation
[PATCH] update Gtk icon cache, and re-enable documentation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qt-creator (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 02:02 EDT by Michel Alexandre Salim
Modified: 2009-10-21 05:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-21 05:58:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file fatch to fix issues described earlier (2.21 KB, patch)
2009-05-01 02:02 EDT, Michel Alexandre Salim
no flags Details | Diff

  None (edit)
Description Michel Alexandre Salim 2009-05-01 02:02:02 EDT
Created attachment 342048 [details]
Spec file fatch to fix issues described earlier

Description of problem:
For those using qt-creator under Gnome, right now the menu entry is missing an icon. This is because the scriplets needed to update the icon cache are not used in the spec.

Also, qt-creator is currently built without documentation, which are "temporarily disabled". I've reenabled them and it seems to work fine. Is the issue mainly that of file location? qt-doc also puts files in an /usr/share/doc/%{name} -- without a version -- so I think it should be fine for qt-creator


Version-Release number of selected component (if applicable):
qt-creator-1.1.0-2.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Log on to GNOME
2. Install qt-creator (from Koji)
3. navigate to Applications->Programming
4. Start Qt Creator
5. Select Help in the leftmost pane

  
Actual results:
Qt Creator entry is icon-less. Help contains entries from qt-doc (Qt Reference Docs, QMake Manual, Qt Designer Manual) but nothing on Qt Creator itself

Expected results:
Entry contains icon; Qt Creator doc appears


Additional info:
Comment 1 Michel Alexandre Salim 2009-05-01 02:03:05 EDT
Koji build here: http://koji.fedoraproject.org/koji/taskinfo?taskID=1331192
Comment 2 Bug Zapper 2009-06-09 10:55:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Itamar Reis Peixoto 2009-07-13 01:17:34 EDT
(In reply to comment #0)
Can you send the patch again against the spec of qt-creator 1.2 ?
Comment 4 Fedora Update System 2009-07-13 12:51:21 EDT
qt-creator-1.2.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qt-creator-1.2.0-2.fc11
Comment 5 Fedora Update System 2009-07-13 12:51:56 EDT
qt-creator-1.2.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qt-creator-1.2.0-2.fc10
Comment 6 Itamar Reis Peixoto 2009-07-13 12:52:46 EDT
Can you test this version ?
Comment 7 Fedora Update System 2009-07-19 06:11:14 EDT
qt-creator-1.2.0-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qt-creator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7714
Comment 8 Fedora Update System 2009-07-19 06:17:24 EDT
qt-creator-1.2.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qt-creator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7738
Comment 9 Itamar Reis Peixoto 2009-10-21 05:58:13 EDT
closing.

Note You need to log in before you can comment on or make changes to this bug.